<?php

namespace Drupal\cms_content_sync\SyncCore\Action\Connection;

use Drupal\cms_content_sync\SyncCore\Action\SubItemAction;
use Drupal\cms_content_sync\SyncCore\Client;
use Drupal\cms_content_sync\SyncCore\Storage\Storage;

/**
 * Class LoginAction.
 *
 * Trigger login for a specific connection.
 *
 * @package Drupal\cms_content_sync\SyncCore\Action\Connection
 */
class LoginAction extends SubItemAction {

  /**
   * LoginAction constructor.
   *
   * @param \Drupal\cms_content_sync\SyncCore\Storage\Storage $storage
   */
  public function __construct(Storage $storage) {
    parent::__construct($storage, 'login', Client::METHOD_POST);
  }

  /**
   * @return string
   */
  public function getBody() {
    // POST must contain a body, but can be anything.
    return TRUE;
  }

  /**
   * @inheritdoc
   */
  public function returnBoolean() {
    return 'success';
  }

}
