<?php

namespace Drupal\cms_content_sync\SyncCore\Action\ConnectionSynchronization;

use Drupal\cms_content_sync\SyncCore\Action\SubItemAction;
use Drupal\cms_content_sync\SyncCore\Client;
use Drupal\cms_content_sync\SyncCore\Storage\Storage;

/**
 * Class SynchronizeAllStatus.
 *
 * Get the current status of a SynchronizeAllAction.
 *
 * @package Drupal\cms_content_sync\SyncCore\Action\ConnectionSynchronization
 */
class SynchronizeAllStatus extends SubItemAction {

  /**
   * SynchronizeAllStatus constructor.
   *
   * @param \Drupal\cms_content_sync\SyncCore\Storage\Storage $storage
   */
  public function __construct(Storage $storage) {
    parent::__construct($storage, 'synchronize', Client::METHOD_POST);
  }

  /**
   * @inheritdoc
   */
  public function getMethod() {
    return Client::METHOD_GET;
  }

}
