<?php

namespace Drupal\cms_content_sync\SyncCore\Action\ConnectionSynchronization;

use Drupal\cms_content_sync\SyncCore\Action\SubItemAction;
use Drupal\cms_content_sync\SyncCore\Client;
use Drupal\cms_content_sync\SyncCore\Storage\Storage;

/**
 * Class SynchronizeSingleAction.
 *
 * Trigger synchronization for a specific entity.
 *
 * @package Drupal\cms_content_sync\SyncCore\Action\ConnectionSynchronization
 */
class SynchronizeSingleAction extends SubItemAction {

  /**
   * SynchronizeSingleAction constructor.
   *
   * @param \Drupal\cms_content_sync\SyncCore\Storage\Storage $storage
   */
  public function __construct(Storage $storage) {
    parent::__construct($storage, 'clone', Client::METHOD_POST);
  }

  /**
   * @param bool $set
   * @return $this
   */
  public function isManual($set) {
    $this->arguments['manual'] = $set ? 'true' : 'false';

    return $this;
  }

  /**
   * @param bool $set
   * @return $this
   */
  public function isDependency($set) {
    $this->arguments['dependency'] = $set ? 'true' : 'false';

    return $this;
  }

  /**
   * @inheritdoc
   */
  public function returnBoolean() {
    return TRUE;
  }

}
