<?php

namespace Drupal\cms_content_sync\SyncCore;

/**
 * Class Helper.
 *
 * Collection of helper functions.
 *
 * @package Drupal\cms_content_sync\SyncCore
 */
class Helper {

  /**
   * Remove any information about basic auth in any URLs contained in the given messages.
   *
   * @param $message
   *
   * @return array|string|string[]|null
   */
  public static function obfuscateCredentials($message) {
    if (is_array($message)) {
      if (isset($message['msg'])) {
        $message['msg'] = self::obfuscateCredentials($message['msg']);
      }
      elseif (isset($message['err']['message'])) {
        $message['err']['message'] = self::obfuscateCredentials($message['err']['message']);
      }
      /**
             * Ignore other associative arrays.
             */
      elseif (isset($message[0])) {
        for ($i = 0; $i < count($message); $i++) {
          $message[$i] = self::obfuscateCredentials($message[$i]);
        }
      }
      return $message;
    }

    $message = preg_replace('@https://([^:]+):([^\@]+)\@@i', 'https://$1:****@', $message);
    $message = preg_replace('@http://([^:]+):([^\@]+)\@@i', 'http://$1:****@', $message);

    return $message;
  }

}
